API ReferenceapicommsGET /v1/ask/threads

GET /v1/ask/threads

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • member_user_id (string) —
  • limit (integer) —

Responses

200 Ask threads for the authenticated member

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "channel_type": {
            "type": "string"
          },
          "preview": {
            "type": "string"
          },
          "last_message_at": {
            "type": "string"
          },
          "last_read_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "triage_status": {
            "type": "string"
          },
          "assigned_to_user_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "coach": {
            "type": [
              "object",
              "null"
            ],
            "properties": {
              "id": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "name": {
                "type": "string"
              },
              "avatar_url": {
                "type": [
                  "string",
                  "null"
                ]
              }
            },
            "required": [
              "id",
              "name",
              "avatar_url"
            ]
          }
        },
        "required": [
          "id",
          "channel_type",
          "preview",
          "last_message_at",
          "last_read_at",
          "triage_status",
          "assigned_to_user_id",
          "coach"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

403 Missing brand context or subject mismatch

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Ask threads could not be loaded

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://comms.platform.loop.health/v1/ask/threads \
  -H "Authorization: Bearer $ACCESS_TOKEN"